# Luakit Documentation / Classes / widget:event_box

# Class `widget:event_box`

Event Box widget
This module is only available from the UI process Lua state.

The event box widget allows stacking widgets horizontally or vertically.

## Properties

### ebox.bg

Type: string or nil
Read-write
The background color of the box widget.

## Signals

### "add"

Emitted when a new widget is set as this widget's child.

#### Parameters

- child
  Type: widget
  The new child widget.

### "button-press"

Emitted when a mouse button was pressed with the cursor inside the event box widget.

#### Parameters

- modifiers
  Type: table
  An array of strings, one for each modifier key held at the time of the event.
- button
  Type: integer
  The number of the button pressed, beginning from `1`; i.e. `1` corresponds to the left mouse button.

#### Return Values

- boolean
  `true` if the event has been handled and should not be propagated further.

### "button-release"

Emitted when a mouse button was released with the cursor inside the event box widget.

#### Parameters

- modifiers
  Type: table
  An array of strings, one for each modifier key held at the time of the event.
- button
  Type: integer
  The number of the button pressed, beginning from `1`; i.e. `1` corresponds to the left mouse button.

#### Return Values

- boolean
  `true` if the event has been handled and should not be propagated further.

### "button-double-click"

Emitted when a mouse button was double-clicked with the cursor inside the event box widget.

#### Parameters

- modifiers
  Type: table
  An array of strings, one for each modifier key held at the time of the event.
- button
  Type: integer
  The number of the button pressed, beginning from `1`; i.e. `1` corresponds to the left mouse button.

#### Return Values

- boolean
  `true` if the event has been handled and should not be propagated further.

### "mouse-enter"

Emitted when the mouse cursor enters the event box widget.

#### Parameters

- modifiers
  Type: table
  An array of strings, one for each modifier key held.

#### Return Values

- boolean
  `true` if the event has been handled and should not be propagated further.

### "mouse-leave"

Emitted when the mouse cursor leaves the event box widget.

#### Parameters

- modifiers
  Type: table
  An array of strings, one for each modifier key held.

#### Return Values

- boolean
  `true` if the event has been handled and should not be propagated further.

## Attribution

#### Copyright

- 2010 Mason Larobina